<%@ page contentType="text/html; charset=GB2312"%> 
<%@ page import="java.io.*" %> 
<HTML> 
<HEAD> 
<TITLE>将数据写入文件</TITLE> 
</HEAD> 
<BODY> 
<CENTER> 
<FONT SIZE = 5 COLOR = blue>将数据写入文件</FONT> 
</CENTER> 
<BR> 
<HR> 
<BR> 
<% 
// 取得目前目录在伺服端的实际位置
String path = request.getRealPath("."); 
// 建立FileWrite对象,并设定由fw对象变量引用
FileWriter fw = new FileWriter(path + "\\File.txt"); 
//将字串写入文件
fw.write("Hello!"); 
fw.write("Welcome to JSP!"); 
fw.write("Thanks!"); 
fw.close(); // 关闭文件 
%> 
<P>写入文件内容为</P> 
<FONT SIZE = 4 COLOR = red> 
<% 
// 建立FileReader对象,并设定由fr对象变量引用
FileReader fr = new FileReader(path + "\\File.txt"); 
// 建立BufferedReader对象,并设定由br对象变量引用
BufferedReader br = new BufferedReader(fr); 
String Line = br.readLine(); 	// 读取一行数据 
out.println(Line + "<BR>"); 	// 输出读取得的数据 
br.close(); 		// 关闭BufferedReader对象 
fr.close(); 		// 关闭文件 
%> 
</FONT> 
</BODY> 
</HTML>　
